3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php $nonfatal = array( E_USER_WARNING => true, E_WARNING => true, E_USER_NOTICE => true, E_NOTICE => true, E_STRICT => true, ); if ( version_compare( PHP_VERSION, '5.3.0' ) >= 0 ) { // wrapper `constant( 'XXX' )` is used to avoid compile notices // on earlier PHP versions. $nonfatal[constant( 'E_DEPRECATED' )] = true; $nonfatal[constant( 'E_USER_DEPRECATED') ] = true; }
Output for 5.0.0 - 5.6.28, hhvm-3.10.0 - 3.12.0, 7.0.0 - 7.1.0
Output for 4.3.0 - 4.4.9
Notice: Use of undefined constant E_STRICT - assumed 'E_STRICT' in /in/vrfsP on line 7